#ifndef _COM_h
#define _COM_h

					/* Debug stuff ****************************************************************/
#define DBG 1

#if DBG
	#define dbg_init  usb_init(); \
				 while (!usb_configured()); \
				 _delay_ms(1000); \
				 dbg_s("\n----- TsySlave Debug Started -----\n")

	#define dbg_s(s) print(s)
	#define dbg_c(c) pchar(c)
	#define dbg_n(n) phex(n)
	#define dbg_n16(n) phex16(n)

	#include "usb_debug/usb_debug.h"
	#include "usb_debug/print.h"
#else
	#define dbg_init
	#define dbg_s(s)
	#define dbg_c(c)
	#define dbg_n(n)
	#define dbg_n16(n)
#endif

					/* Common Includes ************************************************************/
					
#include <avr/io.h>
#include <stdlib.h>

					/* Common Macros **************************************************************/
					
#define CPin(p,n) p &= ~_BV(n)
#define SPin(p,n) p |= _BV(n)
#define TPin(p,n) p ^= _BV(n)

#define getPins(p,m)	(p & m)
#define getPin(p,n) (p & _BV(n))

#define isHigh(p,n) (getPin(p,n)==1)
#define isLow(p,n) !isHigh(p,n)

					/* TLC5940 IOs ****************************************************************/
					
					/* Other IOs ******************************************************************/
											/* Leds ***********************************************/
											
#define Led_Dir		DDRD
#define Led_Port	PORTD
#define Led_Pin		6

#define ClrLed()	SPin(Led_Port,Led_Pin)
#define SetLed()	CPin(Led_Port,Led_Pin)
#define TogLed()	TPin(Led_Port,Led_Pin)

#endif
