#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>

#include "common.h"
#include "main.h"

int main(void) {
					/* Init CPU and Debug *********************************************************/
	
	CPU_PRESCALE(0);											   			   /* Prescaler, 8MHz */
	dbg_init;																	   /* Debug stuff */
	
					/* Init IOs  ******************************************************************/
	DDRC |= _BV(7);
	DDRB |= _BV(0);
	PORTB |= _BV(0);
	DDRD |= _BV(5);
	DDRE |= _BV(6);
	PORTE |= _BV(6);
					/* Init SPI *******************************************************************/

					/******************************************************************************/
					/* Let's go! ******************************************************************/
					/******************************************************************************/

	while(1) {
		PORTC ^= _BV(7);
		PORTB ^= _BV(0);
		PORTD ^=_BV(5);
		PORTE ^= _BV(6);
		_delay_ms(500);
		dbg_s("Hi ");
					/******************************************************************************/
					/* End of the Loop ************************************************************/
					/******************************************************************************/
	}	
}
